Bug 1731686 - cockpit depends on files/directories from non-standard locations
Summary: cockpit depends on files/directories from non-standard locations
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cockpit
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Martin Pitt
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1731683
TreeView+ depends on / blocked
 
Reported: 2019-07-21 11:10 UTC by Igor Raits
Modified: 2019-07-29 01:08 UTC (History)
3 users (show)

Fixed In Version: cockpit-199-1.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-29 01:08:22 UTC
Type: ---


Attachments (Terms of Use)

Description Igor Raits 2019-07-21 11:10:49 UTC
Hello,

Fedora Packaging Guidelines allow dependencies only on files/directories from /usr/bin, /usr/sbin and /etc directories[0].
Your package depends on files/directories outside of those. See below for more information about package/dependencies.

---
cockpit-docker-198-1.fc31.x86_64:
  - /usr/lib/systemd/system/docker.service
---

Please correct those or provide reason why is it correct.
It is very important to not download huge filelists.xml just because few packages in distribution depend on non-standard paths.

Thanks for cooperation!


[0] https://docs.fedoraproject.org/en-US/packaging-guidelines/#_file_and_directory_dependencies

Comment 1 Martin Pitt 2019-07-22 10:59:49 UTC
This is a bit awkward as packages like moby-engine don't Provide: docker. But I sent https://github.com/cockpit-project/cockpit/pull/12384 to avoid the file dependency.

Comment 2 Fedora Update System 2019-07-25 12:27:24 UTC
FEDORA-2019-d73df27df4 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-d73df27df4

Comment 3 Fedora Update System 2019-07-26 01:47:30 UTC
cockpit-199-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-d73df27df4

Comment 4 Fedora Update System 2019-07-29 01:08:22 UTC
cockpit-199-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.